aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJóhann B. Guðmundsson <johannbg@gmail.com>2021-05-05 19:00:38 +0000
committerHarald Hoyer <harald@hoyer.xyz>2021-05-06 15:50:15 +0200
commit215365441e1042793d62c4c9e146be5916ed5aeb (patch)
treee1273647f17a447e807bb0075c303d4a0746ffa5
parent563c434ecba68c628344c1a684f656cdd8f9f214 (diff)
downloaddracut-215365441e1042793d62c4c9e146be5916ed5aeb.tar.gz
feat(systemd-rfkill): introducing the systemd-rfkill module
Introducing the systemd-rfkill module
-rwxr-xr-xmodules.d/01systemd-rfkill/module-setup.sh43
-rw-r--r--pkgbuild/dracut.spec1
2 files changed, 44 insertions, 0 deletions
diff --git a/modules.d/01systemd-rfkill/module-setup.sh b/modules.d/01systemd-rfkill/module-setup.sh
new file mode 100755
index 00000000..e190ff1f
--- /dev/null
+++ b/modules.d/01systemd-rfkill/module-setup.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+# Prerequisite check(s) for module.
+check() {
+
+ # If the binary(s) requirements are not fulfilled the module can't be installed.
+ require_binaries "$systemdutildir"/systemd-rfkill || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+
+}
+
+# Module dependency requirements.
+depends() {
+
+ # This module has external dependency on other module(s).
+ echo systemd
+ # Return 0 to include the dependent module(s) in the initramfs.
+ return 0
+
+}
+
+# Install the required file(s) and directories for the module in the initramfs.
+install() {
+
+ inst_multiple -o \
+ "$systemdutildir"/systemd-rfkill \
+ "$systemdsystemunitdir"/systemd-rfkill.service \
+ "$systemdsystemunitdir"/systemd-rfkill.socket
+
+ # Install the hosts local user configurations if enabled.
+ if [[ $hostonly ]]; then
+ inst_multiple -H -o \
+ "$systemdsystemconfdir"/systemd-rfkill.service \
+ "$systemdsystemconfdir/systemd-rfkill.service.d/*.conf" \
+ "$systemdsystemconfdir"/systemd-rfkill.socket \
+ "$systemdsystemconfdir/systemd-rfkill.socket.d/*.conf"
+ fi
+
+}
diff --git a/pkgbuild/dracut.spec b/pkgbuild/dracut.spec
index f542c282..3a5aa986 100644
--- a/pkgbuild/dracut.spec
+++ b/pkgbuild/dracut.spec
@@ -332,6 +332,7 @@ echo 'dracut_rescue_image="yes"' > $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/
%{dracutlibdir}/modules.d/01systemd-modules-load
%{dracutlibdir}/modules.d/01systemd-repart
%{dracutlibdir}/modules.d/01systemd-resolved
+%{dracutlibdir}/modules.d/01systemd-rfkill
%{dracutlibdir}/modules.d/01systemd-sysctl
%{dracutlibdir}/modules.d/01systemd-sysusers
%{dracutlibdir}/modules.d/01systemd-timedated